Manifest-Version: 1.0
Bnd-LastModified: 1765158438112
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Message Boards Web
Bundle-SymbolicName: com.liferay.message.boards.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.54.hotfix-10382-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype,com.liferay.application.
 list;version="[2.1,3)",com.liferay.asset.constants;version="[1.1,2)",
 com.liferay.asset.display.page.portlet;version="[3.4,4)",com.liferay.
 asset.kernel;version="[1.1,2)",com.liferay.asset.kernel.exception;ver
 sion="[2.0,3)",com.liferay.asset.kernel.model;version="[3.5,4)",com.l
 iferay.asset.kernel.service;version="[2.10,3)",com.liferay.asset.kern
 el.service.persistence;version="[3.5,4)",com.liferay.asset.util;versi
 on="[1.4,2)",com.liferay.captcha.configuration;version="[1.0,2)",com.
 liferay.captcha.util;version="[1.1,2)",com.liferay.document.library.c
 onfiguration;version="[1.3,2)",com.liferay.document.library.kernel.an
 tivirus;version="[2.0,3)",com.liferay.document.library.kernel.excepti
 on;version="[3.1,4)",com.liferay.document.library.kernel.model;versio
 n="[3.2,4)",com.liferay.document.library.kernel.util;version="[2.0,3)
 ",com.liferay.dynamic.data.mapping.kernel;version="[1.4,2)",com.lifer
 ay.expando.kernel.model;version="[3.3,4)",com.liferay.exportimport.ke
 rnel.lar;version="[3.3,4)",com.liferay.exportimport.kernel.staging;ve
 rsion="[2.2,3)",com.liferay.exportimport.portlet.preferences.processo
 r;version="[1.1,2)",com.liferay.exportimport.staged.model.repository;
 version="[1.1,2)",com.liferay.frontend.taglib.clay.servlet.taglib.uti
 l;version="[3.6,4)",com.liferay.item.selector;version="[4.3,5)",com.l
 iferay.message.boards.configuration;version="[1.0,2)",com.liferay.mes
 sage.boards.constants;version="[1.0,2)",com.liferay.message.boards.di
 splay.context;version="[3.0,4)",com.liferay.message.boards.exception;
 version="[1.0,2)",com.liferay.message.boards.model;version="[5.0,6)",
 com.liferay.message.boards.service;version="[4.1,5)",com.liferay.mess
 age.boards.service.permission;version="[1.0,2)",com.liferay.message.b
 oards.settings;version="[1.0,2)",com.liferay.message.boards.social;ve
 rsion="[1.1,2)",com.liferay.message.boards.util.comparator;version="[
 1.2,2)",com.liferay.mobile.device.rules.kernel;version="[1.0,2)",com.
 liferay.osgi.service.tracker.collections.map;version="[2.2,3)",com.li
 feray.petra.function;version="[1.3,2)",com.liferay.petra.sql.dsl.quer
 y;version="[1.0,2)",com.liferay.petra.sql.dsl.query.sort;version="[1.
 0,2)",com.liferay.petra.string;version="[1.4,2)",com.liferay.portal.c
 onfiguration.metatype.annotations;version="[1.3,2)",com.liferay.porta
 l.configuration.metatype.bnd.util;version="[2.0,3)",com.liferay.porta
 l.kernel.annotation;version="[7.0,8)",com.liferay.portal.kernel.bean;
 version="[8.0,9)",com.liferay.portal.kernel.captcha;version="[7.0,8)"
 ,com.liferay.portal.kernel.comment;version="[3.0,4)",com.liferay.port
 al.kernel.dao.orm;version="[9.7,10)",com.liferay.portal.kernel.dao.se
 arch;version="[8.0,9)",com.liferay.portal.kernel.display.context.util
 ;version="[1.1,2)",com.liferay.portal.kernel.editor;version="[7.0,8)"
 ,com.liferay.portal.kernel.exception;version="[9.5,10)",com.liferay.p
 ortal.kernel.json;version="[8.7,9)",com.liferay.portal.kernel.languag
 e;version="[8.3,9)",com.liferay.portal.kernel.lock;version="[7.3,8)",
 com.liferay.portal.kernel.log;version="[7.0,8)",com.liferay.portal.ke
 rnel.messaging;version="[9.1,10)",com.liferay.portal.kernel.mobile.de
 vice;version="[9.0,10)",com.liferay.portal.kernel.model;version="[5.6
 ,6)",com.liferay.portal.kernel.module.configuration;version="[2.0,3)"
 ,com.liferay.portal.kernel.module.framework;version="[1.4,2)",com.lif
 eray.portal.kernel.notifications;version="[8.0,9)",com.liferay.portal
 .kernel.parsers.bbcode;version="[7.0,8)",com.liferay.portal.kernel.po
 rtlet;version="[10.3,11)",com.liferay.portal.kernel.portlet.bridges.m
 vc;version="[3.0,4)",com.liferay.portal.kernel.portlet.configuration.
 icon;version="[1.1,2)",com.liferay.portal.kernel.portletfilerepositor
 y;version="[2.0,3)",com.liferay.portal.kernel.repository.capabilities
 ;version="[2.0,3)",com.liferay.portal.kernel.repository.model;version
 ="[8.0,9)",com.liferay.portal.kernel.resource.bundle;version="[1.0,2)
 ",com.liferay.portal.kernel.sanitizer;version="[8.0,9)",com.liferay.p
 ortal.kernel.scheduler;version="[9.1,10)",com.liferay.portal.kernel.s
 earch;version="[9.5,10)",com.liferay.portal.kernel.security.auth;vers
 ion="[2.5,3)",com.liferay.portal.kernel.security.permission;version="
 [3.4,4)",com.liferay.portal.kernel.security.permission.propagator;ver
 sion="[1.0,2)",com.liferay.portal.kernel.security.permission.resource
 ;version="[1.1,2)",com.liferay.portal.kernel.service;version="[4.11,5
 )",com.liferay.portal.kernel.service.permission;version="[2.0,3)",com
 .liferay.portal.kernel.servlet;version="[8.4,9)",com.liferay.portal.k
 ernel.servlet.taglib;version="[7.0,8)",com.liferay.portal.kernel.sett
 ings;version="[3.1,4)",com.liferay.portal.kernel.social;version="[1.0
 ,2)",com.liferay.portal.kernel.struts;version="[8.0,9)",com.liferay.p
 ortal.kernel.theme;version="[3.1,4)",com.liferay.portal.kernel.transa
 ction;version="[8.1,9)",com.liferay.portal.kernel.trash;version="[9.0
 ,10)",com.liferay.portal.kernel.upgrade;version="[8.5,9)",com.liferay
 .portal.kernel.upload;version="[8.1,9)",com.liferay.portal.kernel.uti
 l;version="[10.24,11)",com.liferay.portal.kernel.workflow;version="[9
 .5,10)",com.liferay.portal.kernel.xml;version="[7.0,8)",com.liferay.p
 ortal.struts,com.liferay.portal.upgrade.registry;version="[3.0,4)",co
 m.liferay.portal.upgrade.v7_0_0;version="[3.1,4)",com.liferay.portal.
 upload;version="[2.1,3)",com.liferay.portal.util;version="[4.16,5)",c
 om.liferay.ratings.kernel;version="[1.2,2)",com.liferay.ratings.kerne
 l.definition;version="[1.1,2)",com.liferay.rss.util;version="[1.0,2)"
 ,com.liferay.social.kernel.model;version="[3.4,4)",com.liferay.social
 .kernel.service;version="[1.8,2)",com.liferay.subscription.model;vers
 ion="[2.2,3)",com.liferay.subscription.service;version="[1.5,2)",com.
 liferay.taglib;version="[8.0,9)",com.liferay.taglib.search;version="[
 2.0,3)",com.liferay.taglib.security;version="[8.0,9)",com.liferay.tag
 lib.ui;version="[9.1,10)",com.liferay.trash;version="[1.0,2)",com.lif
 eray.trash.model;version="[2.3,3)",com.liferay.trash.service;version=
 "[2.4,3)",com.liferay.upload;version="[1.1,2)",javax.portlet,javax.po
 rtlet.annotations,javax.servlet,javax.servlet.http,org.apache.commons
 .fileupload.disk,org.osgi.framework;version="[1.8,2)",org.w3c.dom,com
 .liferay.message.boards.util;version="[1.1,2)"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Message Boards
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.message.boards.web.internal.application.l
 ist,com.liferay.message.boards.web.internal.asset.model,com.liferay.m
 essage.boards.web.internal.custom.attributes,com.liferay.message.boar
 ds.web.internal.dao.search,com.liferay.message.boards.web.internal.di
 splay,com.liferay.message.boards.web.internal.display.context,com.lif
 eray.message.boards.web.internal.display.context.util,com.liferay.mes
 sage.boards.web.internal.exportimport.data.handler,com.liferay.messag
 e.boards.web.internal.exportimport.portlet.preferences.processor,com.
 liferay.message.boards.web.internal.messaging,com.liferay.message.boa
 rds.web.internal.notifications,com.liferay.message.boards.web.interna
 l.portlet,com.liferay.message.boards.web.internal.portlet.action,com.
 liferay.message.boards.web.internal.portlet.configuration.icon,com.li
 feray.message.boards.web.internal.portlet.route,com.liferay.message.b
 oards.web.internal.ratings.definition,com.liferay.message.boards.web.
 internal.search,com.liferay.message.boards.web.internal.security.perm
 ission,com.liferay.message.boards.web.internal.servlet.taglib,com.lif
 eray.message.boards.web.internal.social,com.liferay.message.boards.we
 b.internal.struts,com.liferay.message.boards.web.internal.trash,com.l
 iferay.message.boards.web.internal.upgrade,com.liferay.message.boards
 .web.internal.upgrade.v1_0_0,com.liferay.message.boards.web.internal.
 upload,com.liferay.message.boards.web.internal.upload.format,com.life
 ray.message.boards.web.internal.upload.format.handlers,com.liferay.me
 ssage.boards.web.internal.util,content,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=message-boards-w
 eb;version:Version="4.0.54.hotfix-10382-7310",osgi.service;objectClas
 s:List<String>="com.liferay.application.list.PanelApp";uses:="com.lif
 eray.application.list",osgi.service;objectClass:List<String>="com.lif
 eray.asset.kernel.model.AssetRendererFactory";uses:="com.liferay.asse
 t.kernel.model",osgi.service;objectClass:List<String>="com.liferay.ex
 pando.kernel.model.CustomAttributesDisplay";uses:="com.liferay.expand
 o.kernel.model",osgi.service;objectClass:List<String>="com.liferay.ex
 portimport.kernel.lar.PortletDataHandler";uses:="com.liferay.exportim
 port.kernel.lar",osgi.service;objectClass:List<String>="com.liferay.e
 xportimport.portlet.preferences.processor.Capability,com.liferay.mess
 age.boards.web.internal.exportimport.portlet.preferences.processor.MB
 RatingsExporterImporterCapability";uses:="com.liferay.exportimport.po
 rtlet.preferences.processor,com.liferay.message.boards.web.internal.e
 xportimport.portlet.preferences.processor",osgi.service;objectClass:L
 ist<String>="com.liferay.exportimport.portlet.preferences.processor.E
 xportImportPortletPreferencesProcessor";uses:="com.liferay.exportimpo
 rt.portlet.preferences.processor",osgi.service;objectClass:List<Strin
 g>="com.liferay.message.boards.web.internal.display.context.MBDisplay
 ContextProvider";uses:="com.liferay.message.boards.web.internal.displ
 ay.context",osgi.service;objectClass:List<String>="com.liferay.messag
 e.boards.web.internal.messaging.ExpireBanMessageListener";uses:="com.
 liferay.message.boards.web.internal.messaging",osgi.service;objectCla
 ss:List<String>="com.liferay.message.boards.web.internal.upload.TempA
 ttachmentMBUploadFileEntryHandler";uses:="com.liferay.message.boards.
 web.internal.upload",osgi.service;objectClass:List<String>="com.lifer
 ay.message.boards.web.internal.upload.TempImageMBUploadFileEntryHandl
 er";uses:="com.liferay.message.boards.web.internal.upload",osgi.servi
 ce;objectClass:List<String>="com.liferay.message.boards.web.internal.
 upload.format.MBMessageFormatUploadHandler";uses:="com.liferay.messag
 e.boards.web.internal.upload.format",osgi.service;objectClass:List<St
 ring>="com.liferay.message.boards.web.internal.upload.format.MBMessag
 eFormatUploadHandlerProvider";uses:="com.liferay.message.boards.web.i
 nternal.upload.format",osgi.service;objectClass:List<String>="com.lif
 eray.portal.kernel.notifications.UserNotificationDefinition";uses:="c
 om.liferay.portal.kernel.notifications",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.notifications.UserNotificationHan
 dler";uses:="com.liferay.portal.kernel.notifications",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.Configurati
 onAction";uses:="com.liferay.portal.kernel.portlet",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.portlet.EditPortletPr
 ovider,com.liferay.portal.kernel.portlet.ManagePortletProvider,com.li
 feray.portal.kernel.portlet.ViewPortletProvider";uses:="com.liferay.p
 ortal.kernel.portlet,com.liferay.portal.kernel.portlet,com.liferay.po
 rtal.kernel.portlet",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.portlet.EditPortletProvider,com.liferay.portal.kerne
 l.portlet.ViewPortletProvider";uses:="com.liferay.portal.kernel.portl
 et,com.liferay.portal.kernel.portlet",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.portlet.FriendlyURLMapper";uses:="c
 om.liferay.portal.kernel.portlet",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.portlet.PortletLayoutFinder";uses:="com
 .liferay.portal.kernel.portlet",osgi.service;objectClass:List<String>
 ="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand";use
 s:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.MV
 CRenderCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.por
 tlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.kernel
 .portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.portlet.configuration.icon.PortletConfigurationIcon
 ";uses:="com.liferay.portal.kernel.portlet.configuration.icon",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.kernel.search.Ope
 nSearch";uses:="com.liferay.portal.kernel.search",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.security.permission.pro
 pagator.PermissionPropagator";uses:="com.liferay.portal.kernel.securi
 ty.permission.propagator",osgi.service;objectClass:List<String>="com.
 liferay.portal.kernel.servlet.taglib.DynamicInclude";uses:="com.lifer
 ay.portal.kernel.servlet.taglib",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.social.SocialActivityManager";uses:="com
 .liferay.portal.kernel.social",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.struts.StrutsAction";uses:="com.liferay.po
 rtal.kernel.struts",osgi.service;objectClass:List<String>="com.lifera
 y.portal.kernel.trash.TrashRendererFactory";uses:="com.liferay.portal
 .kernel.trash",osgi.service;objectClass:List<String>="com.liferay.por
 tal.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.porta
 l.upgrade.registry",osgi.service;objectClass:List<String>="com.lifera
 y.ratings.kernel.definition.PortletRatingsDefinition";uses:="com.life
 ray.ratings.kernel.definition",osgi.service;objectClass:List<String>=
 "com.liferay.social.kernel.model.SocialActivityInterpreter";uses:="co
 m.liferay.social.kernel.model",osgi.service;objectClass:List<String>=
 "javax.portlet.Portlet";uses:="javax.portlet",liferay.resource.bundle
 ;bundle.symbolic.name="com.liferay.message.boards.web";resource.bundl
 e.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/captcha))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/clay))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/editor))",os
 gi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.
 com/tld/expando))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://liferay.com/tld/flags))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/frontend))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /portlet))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=h
 ttp://liferay.com/tld/ratings))",osgi.extender;filter:="(&(osgi.exten
 der=jsp.taglib)(uri=http://liferay.com/tld/rss))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/security)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=jsp.tag
 lib)(uri=http://liferay.com/tld/trash))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",osgi.extende
 r;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ut
 il))",osgi.extender;filter:="(&(osgi.extender=osgi.component)(version
 >=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(objectClass=com.
 liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLProvide
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 asset.util.AssetHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.document.library.kernel.util.DLValidator)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.exportimp
 ort.kernel.lar.ExportImportHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.exportimport.kernel.lar.PortletDataHa
 ndler)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.exportimport.kernel.staging.Staging)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.item.selector.ItemSelectorUploa
 dResponseHandler)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.message.boards.display.context.MBDisplayContextFactory
 )";effective:=active;resolution:=optional;cardinality:=multiple,osgi.
 service;filter:="(objectClass=com.liferay.message.boards.service.MBBa
 nLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.message.boards.service.MBBanService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.message.boards.service.
 MBCategoryLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.message.boards.service.MBCategoryService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.message.b
 oards.service.MBDiscussionLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.message.boards.service.MBMessage
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.message.boards.service.MBMessageService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.message.boards.servi
 ce.MBStatsUserLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.message.boards.service.MBThreadFlagLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.message.boards.service.MBThreadLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.message.boards.service.MB
 ThreadService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.message.boards.web.internal.display.context.MBDisplayCont
 extProvider)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.message.boards.web.internal.exportimport.portlet.preference
 s.processor.MBRatingsExporterImporterCapability)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.message.boards.web.inte
 rnal.upload.TempAttachmentMBUploadFileEntryHandler)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.message.boards.web.i
 nternal.upload.TempImageMBUploadFileEntryHandler)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.message.boards.web.int
 ernal.upload.format.MBMessageFormatUploadHandlerProvider)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 model.Portlet)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.model.Release)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.module.configurat
 ion.ConfigurationProvider)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.module.framework.ModuleServiceL
 ifecycle)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.portlet.PortletLayoutFinder)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.portletf
 ilerepository.PortletFileRepository)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.resource.bundle.Resou
 rceBundleLoader)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.scheduler.SchedulerEngineHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.scheduler.TriggerFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.security.permission.resource.
 ModelResourcePermission)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.security.permission.resource.Port
 letResourcePermission)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.ClassNameLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.CompanyLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.GroupLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.settings.SettingsFactory)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.social
 .kernel.service.SocialActivityLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.subscription.service.Subscri
 ptionLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.trash.TrashHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.trash.service.TrashEntryService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.upload.
 UniqueFileNameProvider)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.upload.UploadHandler)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.upload.UploadResponseHandler)
 ";effective:=active,osgi.service;filter:="(objectClass=javax.servlet.
 ServletContext)";effective:=active,osgi.contract;osgi.contract=JavaSe
 rvlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.co
 ntract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortle
 t)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))
 "
Service-Component: OSGI-INF/com.liferay.message.boards.web.internal.ap
 plication.list.MBAdminPanelApp.xml,OSGI-INF/com.liferay.message.board
 s.web.internal.asset.model.MBCategoryAssetRendererFactory.xml,OSGI-IN
 F/com.liferay.message.boards.web.internal.asset.model.MBMessageAssetR
 endererFactory.xml,OSGI-INF/com.liferay.message.boards.web.internal.a
 sset.model.MBThreadAssetRendererFactory.xml,OSGI-INF/com.liferay.mess
 age.boards.web.internal.custom.attributes.MBCategoryCustomAttributesD
 isplay.xml,OSGI-INF/com.liferay.message.boards.web.internal.custom.at
 tributes.MBMessageCustomAttributesDisplay.xml,OSGI-INF/com.liferay.me
 ssage.boards.web.internal.display.context.MBDisplayContextProvider.xm
 l,OSGI-INF/com.liferay.message.boards.web.internal.exportimport.data.
 handler.MBAdminPortletDataHandler.xml,OSGI-INF/com.liferay.message.bo
 ards.web.internal.exportimport.data.handler.MBPortletDataHandler.xml,
 OSGI-INF/com.liferay.message.boards.web.internal.exportimport.portlet
 .preferences.processor.MBExportImportPortletPreferencesProcessor.xml,
 OSGI-INF/com.liferay.message.boards.web.internal.exportimport.portlet
 .preferences.processor.MBRatingsExporterImporterCapability.xml,OSGI-I
 NF/com.liferay.message.boards.web.internal.messaging.ExpireBanMessage
 Listener.xml,OSGI-INF/com.liferay.message.boards.web.internal.notific
 ations.MBAddEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.
 message.boards.web.internal.notifications.MBUpdateEntryUserNotificati
 onDefinition.xml,OSGI-INF/com.liferay.message.boards.web.internal.not
 ifications.MBUserNotificationHandler.xml,OSGI-INF/com.liferay.message
 .boards.web.internal.portlet.MBAdminEditPortletProvider.xml,OSGI-INF/
 com.liferay.message.boards.web.internal.portlet.MBAdminPortlet.xml,OS
 GI-INF/com.liferay.message.boards.web.internal.portlet.MBEditPortletP
 rovider.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.
 MBPortlet.xml,OSGI-INF/com.liferay.message.boards.web.internal.portle
 t.MBPortletLayoutFinder.xml,OSGI-INF/com.liferay.message.boards.web.i
 nternal.portlet.action.BanUserMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.message.boards.web.internal.portlet.action.DeleteThreadMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.ac
 tion.EditCategoryMVCActionCommand.xml,OSGI-INF/com.liferay.message.bo
 ards.web.internal.portlet.action.EditCategoryMVCRenderCommand.xml,OSG
 I-INF/com.liferay.message.boards.web.internal.portlet.action.EditEntr
 yMVCActionCommand.xml,OSGI-INF/com.liferay.message.boards.web.interna
 l.portlet.action.EditMessageAttachmentsMVCActionCommand.xml,OSGI-INF/
 com.liferay.message.boards.web.internal.portlet.action.EditMessageMVC
 ActionCommand.xml,OSGI-INF/com.liferay.message.boards.web.internal.po
 rtlet.action.EditMessageMVCRenderCommand.xml,OSGI-INF/com.liferay.mes
 sage.boards.web.internal.portlet.action.GetAttachmentsMVCResourceComm
 and.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.acti
 on.GetEditMessageQuickMVCResourceCommand.xml,OSGI-INF/com.liferay.mes
 sage.boards.web.internal.portlet.action.GetMessagesMVCResourceCommand
 .xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.action.
 MBAdminConfigurationAction.xml,OSGI-INF/com.liferay.message.boards.we
 b.internal.portlet.action.MBAdminViewBannedUsersMVCRenderCommand.xml,
 OSGI-INF/com.liferay.message.boards.web.internal.portlet.action.MBAdm
 inViewMVCRenderCommand.xml,OSGI-INF/com.liferay.message.boards.web.in
 ternal.portlet.action.MoveCategoryMVCActionCommand.xml,OSGI-INF/com.l
 iferay.message.boards.web.internal.portlet.action.MoveCategoryMVCRend
 erCommand.xml,OSGI-INF/com.liferay.message.boards.web.internal.portle
 t.action.MoveThreadMVCActionCommand.xml,OSGI-INF/com.liferay.message.
 boards.web.internal.portlet.action.MoveThreadMVCRenderCommand.xml,OSG
 I-INF/com.liferay.message.boards.web.internal.portlet.action.SearchMV
 CRenderCommand.xml,OSGI-INF/com.liferay.message.boards.web.internal.p
 ortlet.action.SelectCategoryMVCRenderCommand.xml,OSGI-INF/com.liferay
 .message.boards.web.internal.portlet.action.SplitThreadMVCActionComma
 nd.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.actio
 n.SplitThreadMVCRenderCommand.xml,OSGI-INF/com.liferay.message.boards
 .web.internal.portlet.action.UploadTempImageMVCActionCommand.xml,OSGI
 -INF/com.liferay.message.boards.web.internal.portlet.action.ViewDelet
 edMessageAttachmentsMVCRenderCommand.xml,OSGI-INF/com.liferay.message
 .boards.web.internal.portlet.action.ViewMVCRenderCommand.xml,OSGI-INF
 /com.liferay.message.boards.web.internal.portlet.action.ViewMessageMV
 CRenderCommand.xml,OSGI-INF/com.liferay.message.boards.web.internal.p
 ortlet.action.ViewStatisticsMVCRenderCommand.xml,OSGI-INF/com.liferay
 .message.boards.web.internal.portlet.configuration.icon.CategoryPermi
 ssionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.message.board
 s.web.internal.portlet.configuration.icon.CategorySubscriptionPortlet
 ConfigurationIcon.xml,OSGI-INF/com.liferay.message.boards.web.interna
 l.portlet.configuration.icon.DeleteCategoryPortletConfigurationIcon.x
 ml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.configura
 tion.icon.DeleteThreadPortletConfigurationIcon.xml,OSGI-INF/com.lifer
 ay.message.boards.web.internal.portlet.configuration.icon.EditCategor
 yPortletConfigurationIcon.xml,OSGI-INF/com.liferay.message.boards.web
 .internal.portlet.configuration.icon.MoveCategoryPortletConfiguration
 Icon.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.con
 figuration.icon.MoveThreadPortletConfigurationIcon.xml,OSGI-INF/com.l
 iferay.message.boards.web.internal.portlet.configuration.icon.Permiss
 ionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.message.boards.
 web.internal.portlet.configuration.icon.ThreadLockPortletConfiguratio
 nIcon.xml,OSGI-INF/com.liferay.message.boards.web.internal.portlet.co
 nfiguration.icon.ThreadPermissionsPortletConfigurationIcon.xml,OSGI-I
 NF/com.liferay.message.boards.web.internal.portlet.configuration.icon
 .ThreadSubscriptionPortletConfigurationIcon.xml,OSGI-INF/com.liferay.
 message.boards.web.internal.portlet.route.MBFriendlyURLMapper.xml,OSG
 I-INF/com.liferay.message.boards.web.internal.ratings.definition.MBPo
 rtletRatingsDefinition.xml,OSGI-INF/com.liferay.message.boards.web.in
 ternal.search.MBOpenSearchImpl.xml,OSGI-INF/com.liferay.message.board
 s.web.internal.security.permission.MBCategoryPermission.xml,OSGI-INF/
 com.liferay.message.boards.web.internal.security.permission.MBMessage
 Permission.xml,OSGI-INF/com.liferay.message.boards.web.internal.secur
 ity.permission.MBPermissionPropagatorImpl.xml,OSGI-INF/com.liferay.me
 ssage.boards.web.internal.security.permission.MBResourcePermission.xm
 l,OSGI-INF/com.liferay.message.boards.web.internal.servlet.taglib.MBP
 ortletHeaderJSPDynamicInclude.xml,OSGI-INF/com.liferay.message.boards
 .web.internal.social.MBMessageActivityInterpreter.xml,OSGI-INF/com.li
 feray.message.boards.web.internal.social.MBMessageSocialActivityManag
 er.xml,OSGI-INF/com.liferay.message.boards.web.internal.social.MBThre
 adActivityInterpreter.xml,OSGI-INF/com.liferay.message.boards.web.int
 ernal.social.MBThreadSocialActivityManager.xml,OSGI-INF/com.liferay.m
 essage.boards.web.internal.struts.FindCategoryStrutsAction.xml,OSGI-I
 NF/com.liferay.message.boards.web.internal.struts.FindMessageStrutsAc
 tion.xml,OSGI-INF/com.liferay.message.boards.web.internal.struts.Find
 RecentPostsStrutsAction.xml,OSGI-INF/com.liferay.message.boards.web.i
 nternal.struts.FindThreadStrutsAction.xml,OSGI-INF/com.liferay.messag
 e.boards.web.internal.struts.RSSStrutsAction.xml,OSGI-INF/com.liferay
 .message.boards.web.internal.trash.MBCategoryTrashRendererFactory.xml
 ,OSGI-INF/com.liferay.message.boards.web.internal.trash.MBThreadTrash
 RendererFactory.xml,OSGI-INF/com.liferay.message.boards.web.internal.
 upgrade.MBWebUpgrade.xml,OSGI-INF/com.liferay.message.boards.web.inte
 rnal.upload.TempAttachmentMBUploadFileEntryHandler.xml,OSGI-INF/com.l
 iferay.message.boards.web.internal.upload.TempImageMBUploadFileEntryH
 andler.xml,OSGI-INF/com.liferay.message.boards.web.internal.upload.fo
 rmat.MBMessageFormatUploadHandlerProvider.xml,OSGI-INF/com.liferay.me
 ssage.boards.web.internal.upload.format.handlers.MBMessageBBCodeForma
 tUploadHandler.xml,OSGI-INF/com.liferay.message.boards.web.internal.u
 pload.format.handlers.MBMessageHTMLFormatUploadHandler.xml,OSGI-INF/c
 om.liferay.message.boards.web.internal.util.MBWebComponentProvider.xm
 l
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /message-boards-web

